Name: pam_userpass
Version: 0.5.1
Release: alt1

Summary: Pluggable authentication module for USER/PASS-style protocols
License: LGPL
Group: System/Base
Url: ftp://ftp.openwall.com/pub/projects/pam/modules/%name

Source: %url/%name-%version.tar.bz2
Patch: %name-0.5-alt-libpam_userpass.patch

# Automatically added by buildreq on Thu Oct 10 2002
BuildRequires: libpam-devel

%package devel
Summary: Development environment for %name
Group: Development/C
Requires: %name = %version-%release

%description
%name is a PAM authentication module for use specifically by
services implementing non-interactive protocols and wishing
to verify a username/password pair.  The module doesn't do
any actual authentication, - other modules, such as pam_tcb,
should be stacked to provide the authentication.

%description devel
%name is a PAM authentication module for use specifically by
services implementing non-interactive protocols and wishing
to verify a username/password pair.  The module doesn't do
any actual authentication, - other modules, such as pam_tcb,
should be stacked to provide the authentication.

This package contains development library and include files
required for building %name-based applications.

%prep
%setup -q
%patch -p1

%build
%make_build

%install
%make_install install FAKEROOT=$RPM_BUILD_ROOT

%__mkdir_p $RPM_BUILD_ROOT%_docdir/%name-%version/example
%__install -p -m644 LICENSE README \
	$RPM_BUILD_ROOT%_docdir/%name-%version/
%__install -p -m644 appl_userpass.c example_userpass.c \
	$RPM_BUILD_ROOT%_docdir/%name-%version/example/
%__install -p -m644 conf/example_userpass \
	$RPM_BUILD_ROOT%_docdir/%name-%version/example/example_userpass.pamd

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
/lib/security/*
%dir %_docdir/%name-%version
%_docdir/%name-%version/[A-Z]*

%files devel
%_libdir/*.so
%_includedir/security/*
%dir %_docdir/%name-%version
%_docdir/%name-%version/example

%changelog
* Thu Oct 10 2002 Dmitry V. Levin <ldv@altlinux.org> 0.5.1-alt1
- Updated to 0.5.1: use const within the declaration of
  pam_userpass_t, use '=' instead of '.set' to declare the alias.

* Mon Dec 17 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.5-alt3
- Added lib%name library.
- Fixed linking flags.
- Moved development library and include files into devel subpackage.
- Changed pam_userpass_t members fom char* to const char*.

* Tue Nov 13 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.5-alt2
- Added Url (thanks to Solar for the hint).

* Mon Nov 12 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.5-alt1
- 0.5.

* Thu Sep 13 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.4-alt1
- 0.4.

* Tue May 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.3-alt1
- ALT adaptions.

* Tue Dec 19 2000 Solar Designer <solar@owl.openwall.com>
- Added "-Wall -fPIC" to the CFLAGS.

* Fri Aug 18 2000 Solar Designer <solar@owl.openwall.com>
- 0.3, added README.

* Sun Jul 09 2000 Solar Designer <solar@owl.openwall.com>
- Initial version.
